Subject: Re: bug#49100: make check fails: %derivation-cache
From: Chris Marusich <[email-masked]>
To: Ludovic Courtès <[email-masked]>
Cc: [email-masked]
Date: Tue, 22 Jun 2021 18:34:19 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Ludovic Courtès <[email-masked]> writes:

>> The attached patch fixes the issue for me.  However, since I'm not sure
>> how %derivation-cache is or was supposed to be used, I would appreciate
>> a second opinion.
>
> You forgot to attach the patch, but I think it’s enough to remove the
> ‘hash-clear!’ call from ‘call-with-external-store’.

Sorry - but yes, that's all it did.  I removed the hash-clear! call.
I've gone ahead and committed this as
7f0af119a1e3ea9d0ae53811b619437b3e942702 on core-updates.

-- 
Chris